.SUFFIXES:	.c .obj .cc .obj

#

CC = wcc386

CFLAGS =

CPPFLAGS = -i=. -DDEBUG -ox

LK = wlink

#CC = bcc

#CFLAGS = -O2 -ml # -Wshadow -Wunused -O2 -fomit-frame-pointer -fforce-mem -fno-builtin

#CPPFLAGS = -I. -DDEBUG

LDFLAGS =  # -Fe$(PROG) -AH



HDRS = code.h conf.h decl.h getopt.h type.h version.h

SRCS = main.c getopt.c util.c dump.c parse.c notetbl.c noteset.c

OBJS = main.obj getopt.obj util.obj dump.obj parse.obj notetbl.obj noteset.obj



PROG = mmc.exe

COFF = mmc



all: $(PROG)



$(PROG): $(OBJS)

	wlink @mmc.lnk



.c.obj:

	$(CC) $(CFLAGS) $(CPPFLAGS) $<

#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<



clean:

	rm -f *.obj *.bak *~



moreclean: clean

	rm -f noteset.c



realclean: moreclean

	rm -f $(PROG).tgz



# noteset.c: noteset.inp

# 	gperf -gtopT -K code -N in_note_set $< > $@



dist: Makefile $(SRCS) $(HDRS)

	rm -f $(PROG).tgz

	tar czf $(PROG).tgz $^



depend: noteset.c

	makedepend -I. $(SRCS)



# DO NOT DELETE THIS LINE -- mkdep uses it.

# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.



dump.obj: decl.h type.h code.h

getopt.obj: getopt.h

main.obj: decl.h type.h getopt.h version.h

noteset.obj: type.h

notetbl.obj: decl.h type.h

parse.obj: decl.h type.h code.h



# IF YOU PUT ANYTHING HERE IT WILL GO AWAY

